{
    "_format": "hh-sol-artifact-1",
    "contractName": "TransparentUpgradeableProxy",
    "sourceName": "contracts/proxies/TransparentUpgradeableProxy.sol",
    "abi": [
      {
        "inputs": [
          {
            "internalType": "address",
            "name": "_logic",
            "type": "address"
          },
          {
            "internalType": "address",
            "name": "admin_",
            "type": "address"
          },
          {
            "internalType": "bytes",
            "name": "_data",
            "type": "bytes"
          }
        ],
        "stateMutability": "payable",
        "type": "constructor"
      },
      {
        "anonymous": false,
        "inputs": [
          {
            "indexed": false,
            "internalType": "address",
            "name": "previousAdmin",
            "type": "address"
          },
          {
            "indexed": false,
            "internalType": "address",
            "name": "newAdmin",
            "type": "address"
          }
        ],
        "name": "AdminChanged",
        "type": "event"
      },
      {
        "anonymous": false,
        "inputs": [
          {
            "indexed": true,
            "internalType": "address",
            "name": "beacon",
            "type": "address"
          }
        ],
        "name": "BeaconUpgraded",
        "type": "event"
      },
      {
        "anonymous": false,
        "inputs": [
          {
            "indexed": true,
            "internalType": "address",
            "name": "implementation",
            "type": "address"
          }
        ],
        "name": "Upgraded",
        "type": "event"
      },
      {
        "stateMutability": "payable",
        "type": "fallback"
      },
      {
        "stateMutability": "payable",
        "type": "receive"
      }
    ],
    "bytecode": "[encoded data, 8674 characters]",
    "deployedBytecode": "[encoded data, 5766 characters]",
    "linkReferences": {},
    "deployedLinkReferences": {}
  }